summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index f9e13e4..ed86248 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -212,7 +212,9 @@ case "$command" in
passfile="$PREFIX/$path.gpg"
template="$program.XXXXXXXXXXXXX"
- if [ -d /dev/shm -a -w /dev/shm -a -x /dev/shm ]; then
+ trap 'rm -rf "$tmp_dir" "$tmp_file"' INT TERM EXIT
+
+ if [[ -d /dev/shm && -w /dev/shm && -x /dev/shm ]]; then
tmp_dir="$(TMPDIR=/dev/shm mktemp -t $template -d)"
else
echo "Your system does not have /dev/shm, which means that it may"
@@ -229,10 +231,7 @@ case "$command" in
action="Added"
if [[ -f $passfile ]]; then
- if ! gpg -q -d -o "$tmp_file" --yes "$passfile"; then
- rm -rf "$tmp_file" "$tmp_dir"
- exit 1
- fi
+ gpg -q -d -o "$tmp_file" --yes "$passfile" || exit 1
action="Edited"
fi
${EDITOR:-vi} "$tmp_file"
@@ -240,7 +239,6 @@ case "$command" in
echo "GPG encryption failed. Retrying."
sleep 1
done
- rm -rf "$tmp_file" "$tmp_dir"
if [[ -d $GIT ]]; then
git add "$passfile"
ss='deletions'>-2/+229 2007-04-16added preferences for Qt-Frontendnecoro9-279/+710 2007-04-13Improved masking display and made most of the Qt-Frontend worknecoro7-35/+334 2007-04-10Some more functionality for the Qt-Frontend (complete emerge)necoro8-217/+347 2007-04-07Some more functionality for the Qt-Frontendnecoro11-88/+463 2007-04-07Added Qt-Terminalnecoro4-4/+213 2007-04-06First qt draftnecoro6-1/+796 2007-04-04showed masked packages unmasked by the user similar to stable marked testing ...necoro5-13/+40 2007-03-31changed changelognecoro1-1/+2 2007-03-31Some small changes for etcproposals 1.1necoro1-2/+2 2007-03-31Some small changes for etcproposals 1.1necoro2-3/+3 2007-03-31Some small changes for etcproposals 1.1necoro1-6/+13 2007-03-31Allowed Plugins to have a menunecoro7-201/+315 2007-03-15Added etc-proposals pluginnecoro7-28/+121 2007-03-10Added USE_EXPAND-supportnecoro5-11/+63 2007-03-10Added plugin-data to about-dialognecoro3-197/+264